# Class BimIfcMesh

Representation of an IFC mesh

##### Index

### Constructors

constructor

### Properties

transform
vertexData

### Methods

geometricallyContains
geometricallyContainsBoundingBox
geometricallyIntersectingBoundingBox
geometricallyIntersects
getIntersectionPoints
intersect

## Constructors

### constructor

- new BimIfcMesh(
  vertexData: BimVertexData,
  transform: Matrix,
  toMeterScale: number,
  ): BimIfcMesh

  #### Parameters

  - vertexData: BimVertexData
  - transform: Matrix
  - toMeterScale: number

  #### Returns BimIfcMesh

## Properties

### `Readonly` transform

transform: Matrix

### `Readonly` vertexData

vertexData: BimVertexData

## Methods

### geometricallyContains

- geometricallyContains(mesh: BimIfcMesh): boolean
  `Alpha`

  Checks if all vertices of mesh are completely contained by the geometry.

  #### Parameters

  - mesh: BimIfcMesh

    Mesh of geometry to test.

  #### Returns boolean

### geometricallyContainsBoundingBox

- geometricallyContainsBoundingBox(bound: SimpleBoundingBox): boolean
  `Alpha`

  Checks if bounds of object are inside of geometry.

  #### Parameters

  - bound: SimpleBoundingBox

    SimpleBoundingBox in world space.

  #### Returns boolean

### geometricallyIntersectingBoundingBox

- geometricallyIntersectingBoundingBox(bound: SimpleBoundingBox): boolean
  `Alpha`

  Checks if bounds of object are inside of geometry.

  #### Parameters

  - bound: SimpleBoundingBox

    SimpleBoundingBox in world space.

  #### Returns boolean

### geometricallyIntersects

- geometricallyIntersects(mesh: BimIfcMesh): boolean
  `Alpha`

  Checks if there is a vertex from the mesh on the inside and outside of the geometry.

  #### Parameters

  - mesh: BimIfcMesh

    Mesh of geometry to test.

  #### Returns boolean

### getIntersectionPoints

- getIntersectionPoints(
  screenCoordinateOrRay: Ray | Vector2,
  sceneOrOptions?: Scene,
  ): Intersection[]

  Finds all intersections of a Ray object and a this geometry. If a Vector2 object is provided, a screen-spaced Ray form pixel will be used for intersection test.

  #### Parameters

  - screenCoordinateOrRay: Ray | Vector2

    Vector2 | Ray. Ray needs to be in babylon-coordinate-system/world-space.

  - `Optional` sceneOrOptions: Scene

    Scene.

  #### Returns Intersection[]

  Intersection info. Will be empty if no intersection was found.

### intersect

- intersect(o: BimIfcMeshIntersectionOptions): Intersection[]

  Perform intersection testing on a BimIfcMesh.

  #### Parameters

  - o: BimIfcMeshIntersectionOptions

    Intersection options. See BimIfcMeshIntersectionOptions.

  #### Returns Intersection[]

  Intersection info. Will be empty if no intersection was found.